<template>
        
    <fish-card fluid>
        <!-- <div slot="header">Settings</div> -->
        <!-- <fieldset> -->
            <!-- {{getOptions}} -->

            <div>Прирост</div>
            <VueSlider :tooltip-formatter="['Prirost {value}']" :tooltip-placement="['right']" tooltip="always" v-model="getOptions.growCoef" @change="updateOptions" :min=0.1 :max=2 :interval=0.01></VueSlider>
            <div>Винрейт %</div>
            <VueSlider  @change="updateOptions" :tooltip-formatter="['{value}%', '{value}%']" :tooltip-placement="['left', 'right']" tooltip="always" v-model="minMaxChances" :min=0 :max=100 :interval=1></VueSlider>
            <div>Мин-Макс Кф</div>
            <VueSlider  @change="updateOptions" :tooltip-formatter="['{value}', '{value}']" :tooltip-placement="['left', 'right']" tooltip="always" v-model="minMaxCoefs" :min=1 :max=3 :interval=0.01></VueSlider>
            <label for="autoStartCheck">
                <input type="checkbox" @click="updateOptions()" v-model="getOptions.autoStart" name="autstart" id="autoStartCheck">
                Авто старт
            </label>
            <label for="showHelperCheck">
                <input type="checkbox" @click="updateOptions();showHideHelpers()" v-model="getOptions.showHelper" name="Показывать помощник" id="showHelperCheck"> 
                Показывать помощник
            </label>
            <label for="sendToBotCheck">
                <input type="checkbox" v-model="getOptions.sendToBot" @click="updateOptions();" name="Отправлять в бот" id="sendToBotCheck"> 
                Отправлять в бот
            </label>

            <!-- <fish-checkbox @click="updateOptions()" :key=0 :index=0 v-model="getOptionAutoStart">Авто Старт</fish-checkbox>
            <fish-checkbox @click="showHideHelpers();updateOptions()" :key=1 :index=1 v-model="getOptionShowHelper">Показывать помощник</fish-checkbox> -->
        <!-- </fieldset> -->
    </fish-card>
</template>
<script>
    import VueSlider from 'vue-slider-component'
    import 'vue-slider-component/theme/antd.css'
    import mapGetters from 'vuex';

export default {
    name: 'Settings',
    components: {
        VueSlider
    },
    methods: {
    	updateOptions() {
			// chrome.tabs.query({ active: true, currentWindow: true }, function(tabs) {
            chrome.tabs.query({  }, function(tabs) {
                chrome.storage.local.set({options: this.$store.getters.getOptions})

                let tb = tabs.filter(t => t.url.indexOf('/live/') != -1)
                if (tb.length) {
                    chrome.tabs.sendMessage(tb[0].id, { type: 'updateOptions', options: this.$store.getters.getOptions }, function(response) {});
                }
            }.bind(this));
    	},
        showHideHelpers() {
            console.log(this.getOptions.showHelper)
            let type = (this.getOptions.showHelper ? 'removeHelpers' : 'showHelpers')
            chrome.tabs.query({  }, function(tabs) {
                let tb = tabs.filter(t => t.url.indexOf('/live/') != -1)
                if (tb.length) {
                    chrome.tabs.sendMessage(tb[0].id,  { type: type }, function(response) {});
                }
            }.bind(this));
        }
    },
    computed: {
        getOptionAutoStart: {
            get() {return this.$store.getters.getOptions.autoStart},
            set(newval) {
                this.$store.commit('updateOptions', { autoStart: newval })
            }
        },
        getOptionShowHelper: {
            get() {return this.$store.getters.getOptions.showHelper},
            set(newval) {
                this.$store.commit('updateOptions', { showHelper: newval })
            }
        },
        getOptions: {
            get() {return this.$store.getters.getOptions},
            set(newOptions) {
                this.$store.commit('updateOptions', newOptions)
                // this.updateOptions();
            }
        },
        minMaxCoefs: {
            set(newOptions) {
                this.$store.commit('updateOptions', {minimumCoef: newOptions[0], maximumCoef: newOptions[1]})
                // this.updateOptions();
            },
            get() {return [this.$store.getters.getOptions.minimumCoef, this.$store.getters.getOptions.maximumCoef]}
        },
        minMaxChances: {
            set(newOptions) { 
                this.$store.commit('updateOptions', {minimumChance: newOptions[0], maximumChance: newOptions[1]}) 
                // this.updateOptions();
            },
            get() {return [this.$store.getters.getOptions.minimumChance, this.$store.getters.getOptions.maximumChance]}
        },

    },
    mounted() {
		let thes = this;
        
		chrome.storage.local.get('botOptions', result => {
	        if (!result.botOptions){
	        } else {
                this.$store.commit('updateOptions', result.botOptions)
	            // thes.coef = result.botOptions.coef;
	            // thes.winrate = result.botOptions.winrate;

	        }
	    })
    },
}
</script>

<style scoped>
    .vue-slider.vue-slider-ltr {
        margin: 12px;
    }
    label{
        user-select: none;
        cursor: pointer;
    }
</style>